/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.model;

import java.util.Date;
import java.util.Set;

import jp.co.kpscorp.gwt.client.design.gxt.common.GxtUtil;
import jp.co.kpscorp.gwt.client.design.gxt.common.LabelModel;

import com.extjs.gxt.ui.client.data.BeanModelTag;
import com.google.gwt.user.client.rpc.IsSerializable;

public class Rack implements IsSerializable, BeanModelTag, LabelModel {
	private static final String[][] labels = { { "updTime", "UpdateTime" },
			{ "rackPk", "設置ラックPK" }, { "rackName", "設置ラックNo." } };

	public String label(String prop) {
		return GxtUtil.prop2Label(prop, labels);
	}

	/** identifier field */
	private Integer rackPk;

	/** nullable persistent field */
	private String rackName;

	/** nullable persistent field */
	private Date updTime;

	/** persistent field */
	private Floor floor;

	/** persistent field */
	private Set machines;

	public Integer getRackPk() {
		return rackPk;
	}

	public void setRackPk(Integer rackPk) {
		this.rackPk = rackPk;
	}

	public String getRackName() {
		return rackName;
	}

	public void setRackName(String rackName) {
		this.rackName = rackName;
	}

	public Date getUpdTime() {
		return updTime;
	}

	public void setUpdTime(Date updTime) {
		this.updTime = updTime;
	}

	public Floor getFloor() {
		return floor;
	}

	public void setFloor(Floor floor) {
		this.floor = floor;
	}

	public Set getMachines() {
		return machines;
	}

	public void setMachines(Set machines) {
		this.machines = machines;
	}

	public String getLabel() {
		return null;
	}

	public String getValue() {
		return null;
	}

	public int compareTo(Object o) {
		return 0;
	}

}
